FROM registry.gitlab.com/ska-telescope/low-cbf/ska-low-cbf-proc/pytango-xrt:9.5.0-202220.2.14.354

USER root

# pytango image 9.5.0 has old Poetry v1.3.2
RUN poetry self update -n 1.8.3
RUN  poetry config virtualenvs.create false
COPY pyproject.toml poetry.lock processor-device.sh  ./
COPY src /app/src/
RUN  poetry install

USER tango
